package cn.iocoder.yudao.module.member.service.storeevaluate;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.screen.vo.StoreEvaluateVO;
import cn.iocoder.yudao.module.member.controller.admin.storeevaluate.vo.StoreEvaluatePageReqVO;
import cn.iocoder.yudao.module.member.controller.admin.storeevaluate.vo.StoreEvaluateSaveReqVO;
import cn.iocoder.yudao.module.member.controller.app.storeevaluate.vo.AppStoreEvaluateSaveReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.storeevaluate.StoreEvaluateDO;

import javax.validation.Valid;

/**
 * 店铺评价 Service 接口
 *
 * @author 开发账号
 */
public interface StoreEvaluateService {

    /**
     * 创建店铺评价
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStoreEvaluate(@Valid StoreEvaluateSaveReqVO createReqVO);

    /**
     * 更新店铺评价
     *
     * @param updateReqVO 更新信息
     */
    void updateStoreEvaluate(@Valid StoreEvaluateSaveReqVO updateReqVO);

    /**
     * 删除店铺评价
     *
     * @param id 编号
     */
    void deleteStoreEvaluate(Long id);

    /**
     * 获得店铺评价
     *
     * @param id 编号
     * @return 店铺评价
     */
    StoreEvaluateDO getStoreEvaluate(Long id);

    /**
     * 获得店铺评价分页
     *
     * @param pageReqVO 分页查询
     * @return 店铺评价分页
     */
    PageResult<StoreEvaluateDO> getStoreEvaluatePage(StoreEvaluatePageReqVO pageReqVO);


    Boolean saveOrUpdate(AppStoreEvaluateSaveReqVO createReqVO);

    StoreEvaluateDO selectByUserId(Long storeId);

    StoreEvaluateVO getEvaluate(Long storeId);



}